[Index]
Configures the list of model types to sync to Reporter.
Model ref.: data/ReporterModels
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"name": {
"title": "Name",
"type": "string",
"required": true,
"maxLength": 1024
},
"models": {
"title": "Automate Model Types",
"description": "Metadata for model types that will be used to generate Automate Reporter resources.",
"type": "array",
"items": {
"type": "object",
"properties": {
"model_type": {
"title": "Model Type",
"type": "string",
"format": "uri",
"maxLength": 1024,
"target": "/api/choices/?format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"choices": []
},
"friendly_name": {
"title": "Friendly Name",
"type": "string",
"maxLength": 1024
},
"friendly_model_type": {
"title": "Friendly Model Type",
"type": "string",
"maxLength": 1024
},
"tablename": {
"title": "Table Name",
"type": "string",
"maxLength": 1024
},
"standalone_resource": {
"title": "Standalone Resource",
"type": "boolean"
},
"visible_at_lower_hierarchy": {
"title": "Visible at Lower Hierarchy",
"type": "boolean"
},
"description": {
"title": "Description",
"type": "string",
"maxLength": 1024
},
"resource_date_field": {
"title": "Resource Date Field",
"type": "string",
"maxLength": 1024
},
"epoch_fields": {
"title": "Epoch Fields",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
},
"date_fields": {
"title": "Date Fields",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
},
"fields_to_flatten": {
"title": "Fields to Flatten",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
}
}
}
},
"custom_analyzed_models": {
"title": "Custom Analyzed Model Types",
"description": "These models define custom analyzed views and tables.",
"type": "array",
"items": {
"type": "object",
"properties": {
"model_type": {
"title": "Model Type",
"type": "string",
"format": "uri",
"maxLength": 1024,
"target": "/api/choices/?format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"choices": []
},
"friendly_name": {
"title": "Friendly Name",
"type": "string",
"maxLength": 1024
},
"tablename": {
"title": "Table Name",
"type": "string",
"maxLength": 1024
},
"visible_at_lower_hierarchy": {
"title": "Visible at Lower Hierarchy",
"type": "boolean"
},
"description": {
"title": "Description",
"type": "string",
"maxLength": 1024
},
"resource_date_field": {
"title": "Resource Date Field",
"type": "string",
"maxLength": 1024
},
"epoch_fields": {
"title": "Epoch Fields",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
},
"date_fields": {
"title": "Date Fields",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
},
"sql_query": {
"title": "SQL Query",
"type": "string",
"maxLength": 1024
}
}
}
},
"netflow_models": {
"title": "Netflow Model Types",
"description": "Data and rules that will be used to generate Netflow Reporter resources.",
"type": "array",
"items": {
"type": "object",
"properties": {
"model_type": {
"title": "Model Type",
"type": "string",
"format": "uri",
"maxLength": 1024,
"target": "/api/choices/?format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"choices": []
},
"friendly_name": {
"title": "Friendly Name",
"type": "string",
"maxLength": 1024
},
"friendly_model_type": {
"title": "Friendly Model Type",
"type": "string",
"maxLength": 1024
},
"tablename": {
"title": "Table Name",
"type": "string",
"maxLength": 1024
},
"visible_at_lower_hierarchy": {
"title": "Visible at Lower Hierarchy",
"type": "boolean"
},
"description": {
"title": "Description",
"type": "string",
"maxLength": 1024
},
"datasource_type": {
"title": "Data source Type",
"type": "string",
"maxLength": 1024
},
"datasource_subtype": {
"title": "Data source Subtype",
"type": "string",
"maxLength": 1024
},
"resource_date_field": {
"title": "Resource Date Field",
"type": "string",
"maxLength": 1024
},
"epoch_fields": {
"title": "Epoch Fields",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
},
"date_fields": {
"title": "Date Fields",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
},
"search_rule_alias_fields": {
"title": "Search Rule Alias Fields",
"description": "Specifies fields with different display name and query name.",
"type": "array",
"items": {
"type": "object",
"properties": {
"field_name": {
"title": "Field Name",
"type": "string",
"maxLength": 1024
},
"select_str": {
"title": "Select String",
"type": "string",
"maxLength": 1024
}
}
}
},
"table_joins": {
"title": "Table Joins",
"type": "array",
"items": {
"type": "object",
"properties": {
"join": {
"title": "Join",
"type": "string",
"maxLength": 1024
},
"table": {
"title": "Join Table",
"type": "string",
"maxLength": 1024
},
"table_alias": {
"title": "Table Alias",
"type": "string",
"maxLength": 1024
}
}
}
}
}
}
},
"assurance_models": {
"title": "Assurance Model Types",
"description": "Data and rules that will be used to generate Assurance Reporter resources.",
"type": "array",
"items": {
"type": "object",
"properties": {
"model_type": {
"title": "Model Type",
"type": "string",
"format": "uri",
"maxLength": 1024,
"target": "/api/choices/?format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"choices": []
},
"friendly_name": {
"title": "Friendly Name",
"type": "string",
"maxLength": 1024
},
"friendly_model_type": {
"title": "Friendly Model Type",
"type": "string",
"maxLength": 1024
},
"tablename": {
"title": "Table Name",
"type": "string",
"maxLength": 1024
},
"visible_at_lower_hierarchy": {
"title": "Visible at Lower Hierarchy",
"type": "boolean"
},
"description": {
"title": "Description",
"type": "string",
"maxLength": 1024
},
"datasource_type": {
"title": "Data source Type",
"type": "string",
"maxLength": 1024
},
"resource_date_field": {
"title": "Resource Date Field",
"type": "string",
"maxLength": 1024
},
"epoch_fields": {
"title": "Epoch Fields",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
},
"date_fields": {
"title": "Date Fields",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
},
"table_joins": {
"title": "Table Joins",
"description": "Specifies how to join tables.",
"type": "array",
"items": {
"type": "object",
"properties": {
"join": {
"title": "Join",
"type": "string",
"maxLength": 1024
},
"table": {
"title": "Join Table",
"type": "string",
"maxLength": 1024
},
"date_field": {
"title": "Date Field",
"type": "string",
"maxLength": 1024
},
"table_alias": {
"title": "Table Alias",
"type": "string",
"maxLength": 1024
},
"date_padding": {
"title": "Date Padding",
"type": "integer"
},
"requires": {
"title": "Requires",
"type": "array",
"items": {
"type": "string",
"maxLength": 1024
}
}
}
}
},
"calculation_fields": {
"title": "Calculation Fields",
"description": "Specifies how calculation fields are created.",
"type": "array",
"items": {
"type": "object",
"properties": {
"field_name": {
"title": "Field Name",
"type": "string",
"maxLength": 1024
},
"value_type": {
"title": "Value Type",
"type": "string",
"maxLength": 1024
},
"operations": {
"title": "Operations",
"type": "string",
"maxLength": 1024
},
"is_aggregated": {
"title": "Is Aggregated",
"type": "boolean"
},
"is_ratio": {
"title": "Is Ratio",
"type": "boolean"
},
"select_str": {
"title": "Select String",
"type": "string",
"maxLength": 16384
}
}
}
},
"json_object_fields": {
"title": "Json Object Fields",
"description": "Specifies how calculation fields are created from json object.",
"type": "array",
"items": {
"type": "object",
"properties": {
"field_name": {
"title": "Field Name",
"type": "string",
"maxLength": 1024
},
"json_column": {
"title": "Json Column",
"type": "string",
"maxLength": 1024
},
"json_property": {
"title": "Json Property",
"type": "string",
"maxLength": 1024
}
}
}
},
"filter_only_fields": {
"title": "Filter Only Fields",
"description": "Specifies how Filter Only fields are created.",
"type": "array",
"items": {
"type": "object",
"properties": {
"field_name": {
"title": "Field Name",
"type": "string",
"maxLength": 1024
},
"where_str": {
"title": "Where Clause",
"type": "string",
"maxLength": 1024
}
}
}
},
"search_rule_alias_fields": {
"title": "Search Rule Alias Fields",
"description": "Specifies fields with different display name and query name.",
"type": "array",
"items": {
"type": "object",
"properties": {
"field_name": {
"title": "Field Name",
"type": "string",
"maxLength": 1024
},
"select_str": {
"title": "Select String",
"type": "string",
"maxLength": 1024
}
}
}
}
}
}
}
},
"schema_version": "1.5"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the GUI Add form. | GET | /api/data/ReporterModels/add/ |
|
The GUI Add form of data/ReporterModels as JSON |
The API call to the /add/ URL can only be made from a hierarchy that allows the model type to be added. The actions in the response shows the url for the POST API call to create an instance.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Create | POST | /api/data/ReporterModels | hierarchy=[hierarchy] |
|
tool/Transaction/[trans pkid]to inspect the created resource and its instance pkid.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk delete [pkid1],[pkid2]... | DELETE | /api/data/ReporterModels/ | hierarchy=[hierarchy] | {"hrefs":["/api/data/ReporterModels/[pkid1]", "/api/data/ReporterModels/[pkid2]", ...]} |
GET http://[host-proxy]/api/data/ReporterModels/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Bulk Modify | GET | /api/data/ReporterModels/bulk_update/?schema=&schema_rules=true |
|
|
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk Modify | POST | /api/data/ReporterModels/bulk_update/ |
|
For example: {"data":{"name":"value"}, "meta":{}, "request_meta":{ "hrefs":["/api/v0/data/ReporterModels/[pkid1]", "/api/v0/data/ReporterModels/[pkid2]",...]}} |
GET http://[host-proxy]/api/data/ReporterModels/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of data/ReporterModels; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/data/ReporterModels/export/ |
|
{ "hrefs":["/api/data/ReporterModels/[pkid1]", "/api/data/ReporterModels/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of data/ReporterModels and the JSON format can be used to import instances of data/ReporterModels.
GET http://[host-proxy]/api/data/ReporterModels/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a compressed format of the Bulk Load spreadsheet template for data/ReporterModels | POST | /api/data/ReporterModels/export_bulkload_template/ |
|
The response is an attachment of the format: filetype_bulkloadsheet.xlsx.gz |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag | PATCH | /api/data/ReporterModels/+tag/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag Version | PATCH | /api/data/ReporterModels/+tag_version/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Configuration Template | GET | /api/data/ReporterModels/configuration_template/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/ConfigurationTemplate/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Field Display Policy | GET | /api/data/ReporterModels/field_display_policy/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/FieldDisplayPolicy/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Migration Template | GET | /api/data/ReporterModels/migration/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| List | GET | /api/data/ReporterModels/ |
|
The data/ReporterModels schema and all instances as JSON. |
(The list will return 0 to 3 data/ReporterModels instances)
{
"pagination": {
"skip": 0,
"limit": 3,
"maximum_limit": 2000,
"total": 1,
"total_limit": null,
"order_by": "name",
"direction": "asc",
"current": "/api/data/ReporterModels/?skip=0&limit=3&order_by=name&direction=asc&traversal=fulltree"
},
"operations": [
"add",
"bulk_update_form",
"list",
"update",
"transform",
"migration",
"remove",
"move",
"export",
"help",
"configuration_template",
"field_display_policy",
"get",
"export_bulkload_template"
],
"meta": {
"model_type": "data/ReporterModels",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"children": [],
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": []
},
"model_specific_actions": [
"add",
"bulk_update_form",
"clone",
"configuration_template",
"export",
"export_bulkload_template",
"field_display_policy",
"get",
"help",
"list",
"migration",
"transform",
"remove",
"tag",
"tag_version",
"update"
],
"schema_version": "1.5",
"actions": [
{
"add": {
"method": "GET",
"class": "add",
"href": "/api/data/ReporterModels/add/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Add"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/ReporterModels/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"bulk_update_form": {
"method": "GET",
"class": "update",
"href": "/api/data/ReporterModels/bulk_update/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Bulk Modify"
}
},
{
"export": {
"method": "POST",
"class": "export",
"href": "/api/data/ReporterModels/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"export_bulkload_template": {
"method": "POST",
"class": "bulkload_template",
"href": "/api/data/ReporterModels/export_bulkload_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export Bulk Load Template"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/ReporterModels/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/ReporterModels/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"configuration_template": {
"method": "GET",
"class": "config",
"href": "/api/data/ReporterModels/configuration_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Configuration Template"
}
},
{
"field_display_policy": {
"method": "GET",
"class": "display_policy",
"href": "/api/data/ReporterModels/field_display_policy/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Field Display Policy"
}
},
{
"migration": {
"method": "GET",
"class": "migration",
"href": "/api/data/ReporterModels/migration/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Migration Template"
}
},
{
"list": {
"method": "GET",
"class": "list",
"href": "/api/data/ReporterModels/?hierarchy=[hierarchy]",
"support_async": false,
"title": "List"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/ReporterModels/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
},
{
"transform": {
"method": "GET",
"class": "transform",
"href": "/api/data/ReporterModels/transform/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Transform Template"
}
}
]
},
"resources": [
{
"data": {
"name": "Default",
"models": [
{
"model_type": "data/MonitoringCluster",
"friendly_name": "Monitoring Platform Cluster",
"description": "Shows diagnostic information about the VOSS Automate cluster Round Trip Delay Time (RTT) metrics.",
"resource_date_field": "start_ts",
"date_fields": [
"start_ts",
"end_ts"
]
},
{
"model_type": "data/MonitoringQueue",
"friendly_name": "Monitoring Transaction Queue",
"description": "Shows diagnostic information about VOSS Automate transactions.",
"resource_date_field": "start_ts",
"date_fields": [
"start_ts",
"end_ts"
]
},
{
"model_type": "data/MonitoringSessions",
"friendly_name": "Monitoring Sessions",
"description": "Shows diagnostic information about VOSS Automate login sessions.",
"resource_date_field": "start_ts",
"date_fields": [
"start_ts",
"end_ts"
]
},
{
"model_type": "data/MetricDatabaseCollectionStats",
"friendly_name": "Monitoring Database Stats",
"description": "Shows VOSS Automate database statistics.",
"resource_date_field": "group_start_date",
"date_fields": [
"group_start_date",
"group_end_date"
]
},
{
"model_type": "data/LicenseAuditCounts",
"friendly_name": "Automate License Counts",
"description": "Shows VOSS Automate license usage counts per customer.",
"date_fields": [
"timestamp"
]
},
{
"model_type": "data/BaseSiteDAT",
"friendly_name": "Site",
"friendly_model_type": "relation/HcsSiteREL",
"description": "Shows VOSS Automate site details."
},
{
"model_type": "data/CountLimit",
"friendly_name": "Subscriber Count Limit",
"description": "Shows subscriber count limits for capping license consumption."
},
{
"model_type": "data/MsLicenseAllocation",
"friendly_name": "Microsoft License Allocation",
"description": "Shows Microsoft license limits for capping license consumption."
},
{
"model_type": "data/HcsDpDNE164AssociateDAT",
"friendly_name": "E164 Number Association",
"description": "Shows mapping of a range of E.164 numbers to a range of internal numbers."
},
{
"model_type": "data/HcsDpE164InventoryDAT",
"friendly_name": "E164 Number Inventory",
"friendly_model_type": "data/HcsDpE164InventoryDAT",
"description": "Shows details of external numbers and their associations."
},
{
"model_type": "data/HcsEntitlementProfileDAT",
"friendly_name": "Entitlement Profile",
"friendly_model_type": "data/HcsEntitlementProfileDAT",
"description": "Shows details of subscriber service entitlements."
},
{
"model_type": "data/HierarchyNode",
"friendly_name": "Hierarchy",
"description": "Shows details of hierarchy nodes in VOSS Automate."
},
{
"model_type": "data/InternalNumberInventory",
"friendly_name": "Number Inventory",
"friendly_model_type": "relation/NumberInventoryREL",
"description": "Shows information about numbers that are reserved, available or in use.",
"date_fields": [
"release_date"
]
},
{
"model_type": "data/MicrosoftSubscriberQasStaging",
"friendly_name": "Microsoft Subscriber Staging",
"friendly_model_type": "data/MicrosoftSubscriberQasStaging",
"description": "Shows Microsoft Quick Add Subscriber data before Microsoft Teams user is finalized.",
"resource_date_field": "timestamp",
"date_fields": [
"timestamp"
]
},
{
"model_type": "data/User",
"friendly_name": "User",
"friendly_model_type": "relation/User",
"description": "Shows vendor-agnostic user details in VOSS Automate."
},
{
"model_type": "device/cuc/User",
"friendly_name": "Cisco CUC User",
"friendly_model_type": "relation/Voicemail",
"description": "Shows Cisco voicemail details."
},
{
"model_type": "device/cuc/Callhandler",
"friendly_name": "Cisco CUC Call Handler",
"friendly_model_type": "device/cuc/Callhandler",
"description": "Shows automatic call processing for Cisco voicemail."
},
{
"model_type": "device/cucm/CallPickupGroup",
"friendly_name": "Cisco UCM Call Pickup Group",
"friendly_model_type": "device/cucm/CallPickupGroup",
"description": "Shows configuration for call pickup groups in Cisco Call Manager."
},
{
"model_type": "device/cucm/DeviceProfile",
"friendly_name": "Cisco UCM Device Profile",
"friendly_model_type": "relation/SubscriberDeviceProfile",
"description": "Shows configuration for user phone settings in Cisco Call Manager."
},
{
"model_type": "device/cucm/Gateway",
"friendly_name": "Cisco UCM Gateway",
"description": "Shows configuration for Cisco Call Manager gateway to external networks."
},
{
"model_type": "device/cucm/GatewaySccpEndpoints",
"friendly_name": "Cisco UCM Gateway SCCP Endpoints",
"description": "Shows configuration for Skinny Call Control Policy (SCCP) endpoint in Cisco Call Manager."
},
{
"model_type": "device/cucm/HcsLicense",
"friendly_name": "Cisco UCM License",
"description": "Shows HCS license usage in Cisco Call Manager."
},
{
"model_type": "device/cucm/HuntList",
"friendly_name": "Cisco UCM Hunt List",
"description": "Shows directory numbers associated with a Hunt Group in Cisco Call Manager."
},
{
"model_type": "device/cucm/HuntPilot",
"friendly_name": "Cisco UCM Hunt Pilot",
"friendly_model_type": "relation/HuntGroupRelation",
"description": "Shows address and rules used to route calls to a Hunt List in Cisco Call Manager."
},
{
"model_type": "device/cucm/LicensingResourceUsage",
"friendly_name": "Cisco UCM Licensing Resource Usage",
"description": "Shows resource license usage in Cisco Call Manager."
},
{
"model_type": "device/cucm/Line",
"friendly_name": "Cisco UCM Line",
"friendly_model_type": "relation/LineRelation",
"description": "Shows Cisco Call Manager internal directory number details."
},
{
"model_type": "device/cucm/LineGroup",
"friendly_name": "Cisco UCM Line Group",
"description": "Shows the order in which directory numbers are selected in Cisco Call Manager."
},
{
"model_type": "device/cucm/Phone",
"friendly_name": "Cisco UCM Phone",
"friendly_model_type": "relation/SubscriberPhone",
"description": "Shows Cisco Call Manager phone details."
},
{
"model_type": "device/cucm/PhoneType",
"friendly_name": "Cisco UCM Phone Type",
"description": "Show configuration for Cisco Call Manager phone types."
},
{
"model_type": "device/cucm/RemoteDestination",
"friendly_name": "Cisco UCM Remote Destination",
"description": "Shows configuration for Single Number Reach (SNR) in Cisco Call Manager."
},
{
"model_type": "device/cucm/RemoteDestinationProfile",
"friendly_name": "Cisco UCM Remote Destination Profile",
"friendly_model_type": "relation/SingleNumberReachREL",
"description": "Shows configuration for Single Number Reach (SNR) profiles in Cisco Call Manager."
},
{
"model_type": "device/cucm/User",
"friendly_name": "Cisco UCM User",
"friendly_model_type": "relation/Subscriber",
"description": "Shows Cisco user details."
},
{
"model_type": "device/pexip/Conference",
"friendly_name": "Pexip Conference",
"description": "Shows configuration for Pexip video conferencing."
},
{
"model_type": "device/pexip/ConferenceAlias",
"friendly_name": "Pexip Conference Alias",
"description": "Shows Pexip video conferencing alias configuration."
},
{
"model_type": "device/msexchangeonline/UserMailbox",
"friendly_name": "Microsoft Exchange Online User Mailbox",
"friendly_model_type": "device/msexchangeonline/UserMailbox",
"description": "Shows Microsoft Exchange Online user mailbox details."
},
{
"model_type": "device/msexchangeonline/SharedMailbox",
"friendly_name": "Microsoft Exchange Online Shared Mailbox",
"friendly_model_type": "device/msexchangeonline/SharedMailbox",
"description": "Shows Microsoft Exchange Online shared mailbox details."
},
{
"model_type": "device/msexchangeonline/RoomMailbox",
"friendly_name": "Microsoft Exchange Online Room Mailbox",
"friendly_model_type": "device/msexchangeonline/RoomMailbox",
"description": "Shows Microsoft Exchange Online room mailbox details."
},
{
"model_type": "device/msexchangeonline/DistributionGroup",
"friendly_name": "Microsoft Exchange Online Distribution Group",
"friendly_model_type": "device/msexchangeonline/DistributionGroup",
"description": "Shows Microsoft Exchange Online distribution group details."
},
{
"model_type": "device/msgraph/MsolAccountSku",
"friendly_name": "Microsoft O365 User SKU",
"description": "Shows Microsoft O365 user stock-keeping unit details."
},
{
"model_type": "device/msgraph/MsolUser",
"friendly_name": "Microsoft O365 User",
"friendly_model_type": "relation/MicrosoftSubscriber",
"description": "Shows Microsoft O365 user details."
},
{
"model_type": "device/msgraph/Room",
"friendly_name": "Microsoft O365 Rooms",
"description": "Shows Microsoft O365 rooms (physical places) within the tenant."
},
{
"model_type": "device/msgraph/CalendarView",
"friendly_name": "Microsoft Teams Room Calendar - INTERNAL",
"friendly_model_type": "device/msgraph/CalendarView",
"standalone_resource": true,
"description": "Shows calendar information for Microsoft Teams Room Mailboxes.",
"resource_date_field": "start_dateTime",
"date_fields": [
"start_dateTime",
"createdDateTime",
"endDateTime",
"lastModifiedDateTime"
],
"fields_to_flatten": [
"attendees",
"end",
"location",
"onlineMeeting",
"recurrence",
"responseStatus",
"start"
]
},
{
"model_type": "device/msteamsonline/CsAutoAttendant",
"friendly_name": "Microsoft Teams Auto Attendant",
"friendly_model_type": "device/msteamsonline/CsAutoAttendant",
"description": "Shows configuration for Microsoft Teams Auto Attendant."
},
{
"model_type": "device/msteamsonline/CsCallQueue",
"friendly_name": "Microsoft Teams Call Queue",
"friendly_model_type": "device/msteamsonline/CsCallQueue",
"description": "Shows configuration for Microsoft Teams Call Queue."
},
{
"model_type": "device/msteamsonline/CsOnlineUser",
"friendly_name": "Microsoft Teams User",
"friendly_model_type": "device/msteamsonline/CsOnlineUser",
"description": "Shows Microsoft Teams user details."
},
{
"model_type": "device/msteamsonline/CsTeamsClientConfiguration",
"friendly_name": "Microsoft Teams Client Configuration",
"description": "Shows configuration for Microsoft Teams client settings."
},
{
"model_type": "device/spark/Announcements",
"friendly_name": "Webex Calling Announcements",
"friendly_model_type": "device/spark/Announcements",
"description": "Shows configuration for Webex Calling announcements."
},
{
"model_type": "device/spark/AutoAttendants",
"friendly_name": "Webex Calling Auto Attendants",
"friendly_model_type": "relation/WebexAutoAttendants",
"description": "Shows configuration for Webex Calling auto attendants."
},
{
"model_type": "device/spark/CallParkExtensions",
"friendly_name": "Webex Calling Call Park Extensions",
"friendly_model_type": "relation/WebexCallParkExtensions",
"description": "Shows configuration for Webex Calling call park extensions."
},
{
"model_type": "device/spark/CallParkGroup",
"friendly_name": "Webex Calling Call Park Group",
"friendly_model_type": "relation/WebexCallParkGroup",
"description": "Configuration for Webex Calling call park groups."
},
{
"model_type": "device/spark/CallPickup",
"friendly_name": "Webex Calling Call Pickup",
"friendly_model_type": "relation/WebexCallPickup",
"description": "Shows configuration for Webex Calling call pickup."
},
{
"model_type": "device/spark/Device",
"friendly_name": "Webex Calling Device",
"friendly_model_type": "relation/WebexDevice",
"description": "Shows configuration for Webex Calling devices."
},
{
"model_type": "device/spark/HuntGroup",
"friendly_name": "Webex Calling Hunt Group",
"friendly_model_type": "relation/WebexHuntGroup",
"description": "Shows configuration for Webex Calling hunt groups."
},
{
"model_type": "device/spark/Group",
"friendly_name": "Webex Calling Group",
"friendly_model_type": "device/spark/Group",
"description": "Shows configuration for Webex Calling groups."
},
{
"model_type": "device/spark/License",
"friendly_name": "Webex Calling License",
"friendly_model_type": "device/spark/License",
"description": "Shows Wecex Calling license usage."
},
{
"model_type": "device/spark/Place",
"friendly_name": "Webex Calling Place",
"friendly_model_type": "relation/WebexTeamsPlace",
"description": "Shows configuration for Webex Calling places.",
"fields_to_flatten": [
"phoneNumbers",
"calling",
"calendar",
"deviceHostedMeetings",
"indoorNavigation",
"health",
"plannedMaintenance",
"capabilities",
"input_devices"
]
},
{
"model_type": "device/spark/Location",
"friendly_name": "Webex Calling Location",
"friendly_model_type": "relation/WebexLocation",
"description": "Shows Webex Calling Location details.",
"fields_to_flatten": [
"address"
]
},
{
"model_type": "device/spark/LocationFloor",
"friendly_name": "Webex Calling Location Floor",
"friendly_model_type": "device/spark/LocationFloor",
"description": "Shows Webex Calling Location Floor details."
},
{
"model_type": "device/spark/Number",
"friendly_name": "Webex Calling Number",
"friendly_model_type": "device/spark/Number",
"description": "Shows configuration for Webex Calling numbers."
},
{
"model_type": "device/spark/Schedules",
"friendly_name": "Webex Calling Schedule",
"friendly_model_type": "relation/WebexSchedules",
"description": "Shows configuration for Webex Calling schedules."
},
{
"model_type": "device/spark/Team",
"friendly_name": "Webex Calling Team",
"friendly_model_type": "device/spark/Team",
"description": "Shows configuration for Webex Calling teams."
},
{
"model_type": "device/spark/User",
"friendly_name": "Webex Calling User",
"friendly_model_type": "relation/SparkUser",
"description": "Shows Webex Calling user details."
},
{
"model_type": "device/spark/CXUser",
"friendly_name": "Webex Contact Centre User",
"friendly_model_type": "relation/SparkUser",
"description": "Shows Webex Contact Centre user details."
},
{
"model_type": "device/spark/CXSite",
"friendly_name": "Webex Contact Centre Site",
"friendly_model_type": "device/spark/CXSite",
"description": "Shows Webex Contact Centre site details."
},
{
"model_type": "device/spark/CXSkillProfile",
"friendly_name": "Webex Contact Centre Skills Profile",
"friendly_model_type": "device/spark/CXSkillProfile",
"description": "Shows Webex Contact Centre skill profile details."
},
{
"model_type": "device/spark/WorkspaceMetrics",
"friendly_name": "Webex Workspace Metrics - INTERNAL",
"friendly_model_type": "device/spark/WorkspaceMetrics",
"standalone_resource": true,
"description": "Shows occupancy and booking/usage metrics for Webex Workspaces.",
"resource_date_field": "start",
"date_fields": [
"start",
"end"
]
},
{
"model_type": "device/uccx/Agent",
"friendly_name": "Cisco UCCX Agent",
"friendly_model_type": "relation/UccxAgent",
"description": "Shows Cisco Contact Center agent details."
},
{
"model_type": "device/webex/User",
"friendly_name": "Cisco Webex User",
"friendly_model_type": "device/webex/User",
"description": "Shows Cisco Webex user details."
},
{
"model_type": "device/msexchangeonline/QuarantineMessage",
"friendly_name": "Quarantine Messages",
"friendly_model_type": "device/msexchangeonline/QuarantineMessage",
"description": "Shows diagnostic information about the Microsoft Quarantined messages.",
"resource_date_field": "ReceivedTime",
"epoch_fields": [
"receivedtimelc"
],
"date_fields": [
"ReceivedTime"
]
},
{
"model_type": "data/MicrosoftDefenderQuarantineMessageStaging",
"friendly_name": "Quarantine Message Staging",
"friendly_model_type": "data/MicrosoftDefenderQuarantineMessageStaging",
"description": "Shows diagnostic information about the Microsoft Quarantined Staging messages.",
"resource_date_field": "updated_timestamp",
"date_fields": [
"created_timestamp",
"updated_timestamp"
]
},
{
"model_type": "device/mssecurity/Machine",
"friendly_name": "Defender Devices",
"friendly_model_type": "device/mssecurity/Machine",
"description": "Shows onboarded Microsoft Defender devices."
},
{
"model_type": "device/mssecurity/MachineAction",
"friendly_name": "Defender Actions",
"friendly_model_type": "device/mssecurity/MachineAction",
"description": "Shows Microsoft Defender actions."
},
{
"model_type": "device/mssecurity/ExposureScoreByMachineGroups",
"friendly_name": "Defender Exposure Score by Device Group",
"friendly_model_type": "device/mssecurity/ExposureScoreByMachineGroups",
"description": "Shows Microsoft Defender exposure score by device group."
},
{
"model_type": "device/msgraphsecurity/Alert",
"friendly_name": "Defender Alerts",
"friendly_model_type": "device/msgraphsecurity/Alert",
"description": "Shows Microsoft Defender alerts.",
"resource_date_field": "createdDateTime",
"date_fields": [
"createdDateTime",
"lastModifiedDateTime",
"resolvedDateTime",
"firstActivityDateTime",
"lastActivityDateTime"
]
},
{
"model_type": "device/msgraphsecurity/Incident",
"friendly_name": "Defender Incidents",
"friendly_model_type": "device/msgraphsecurity/Incident",
"description": "Shows Microsoft Defender incidents.",
"resource_date_field": "createdDateTime",
"date_fields": [
"createdDateTime",
"lastUpdatedDateTime"
]
},
{
"model_type": "device/msgraphsecurity/SecureScore",
"friendly_name": "Defender Secure Score",
"friendly_model_type": "device/msgraphsecurity/SecureScore",
"description": "Shows Microsoft Defender Secure Score.",
"resource_date_field": "createdDateTime",
"date_fields": [
"createdDateTime"
]
},
{
"model_type": "device/collabdevicefirmware/WebexRoomOs",
"friendly_name": "Collab Device Firmware Webex Room OS",
"visible_at_lower_hierarchy": true,
"description": "Shows Collab Device Firmware Webex Room OS firmware details."
},
{
"model_type": "device/collabdevicefirmware/MicrosoftWindows",
"friendly_name": "Collab Device Firmware Microsoft Windows",
"visible_at_lower_hierarchy": true,
"description": "Shows Collab Device Firmware Microsoft Windows firmware details."
},
{
"model_type": "device/collabdevicefirmware/MicrosoftAndroid",
"friendly_name": "Collab Device Firmware Microsoft Android",
"visible_at_lower_hierarchy": true,
"description": "Shows Collab Device Firmware Microsoft Android firmware details."
},
{
"model_type": "data/MeetingRoomSizeCategoryDef",
"friendly_name": "Meeting Room Size Category Def",
"description": "Shows Meeting Room Size Category Def details."
},
{
"model_type": "data/MeetingRoomUsageCategoryDef",
"friendly_name": "Meeting Room Usage Category Def",
"description": "Shows Meeting Room Usage Category Def details."
},
{
"model_type": "data/MeetingRoomBusinessHours",
"friendly_name": "Meeting Room Business Hours",
"description": "Shows Meeting Room Business Hours details."
},
{
"model_type": "data/MeetingRoomBusinessHolidays",
"friendly_name": "Meeting Room Business Holidays",
"description": "Shows Meeting Room Business Holidays details."
},
{
"model_type": "data/AlertingRule",
"friendly_name": "Alerting Rule",
"description": "Shows alerting rule details."
},
{
"model_type": "data/AlertingRuleGroup",
"friendly_name": "Alerting Rule Group",
"description": "Shows alerting rule group details."
},
{
"model_type": "data/AlertingLog",
"friendly_name": "Alerting Log",
"description": "Shows a log of alerting rule events.",
"resource_date_field": "timestamp",
"date_fields": [
"timestamp"
]
},
{
"model_type": "data/AlertingState",
"friendly_name": "Alerting State",
"description": "Shows the state of alerting rule instances."
},
{
"model_type": "device/msgraph/UserActivityUserDetail",
"friendly_name": "Microsoft Teams User Activity - User Detail - INTERNAL",
"friendly_model_type": "device/msgraph/UserActivityUserDetail",
"standalone_resource": true,
"description": "Shows aggregated user activity over a specified interval.",
"resource_date_field": "lastActivityDate",
"date_fields": [
"lastActivityDate",
"reportPeriod",
"reportRefreshDate"
]
},
{
"model_type": "device/msgraph/UserActivityUserCount",
"friendly_name": "Microsoft Teams User Activity - User Count - INTERNAL",
"friendly_model_type": "device/msgraph/UserActivityUserCount",
"standalone_resource": true,
"description": "Shows aggregated user counts per activity type over a specified interval.",
"resource_date_field": "reportDate",
"date_fields": [
"reportDate",
"reportPeriod",
"reportRefreshDate"
]
},
{
"model_type": "device/msgraph/UserActivityCount",
"friendly_name": "Microsoft Teams User Activity - Activity Count - INTERNAL",
"friendly_model_type": "device/msgraph/UserActivityCount",
"standalone_resource": true,
"description": "Shows aggregated activity counts per activity type over a specified interval.",
"resource_date_field": "reportDate",
"date_fields": [
"reportDate",
"reportPeriod",
"reportRefreshDate"
]
},
{
"model_type": "data/MsolSkuPartNumberNameMapping",
"friendly_name": "Microsoft Teams SKU Mapping with Costs",
"friendly_model_type": "data/MsolSkuPartNumberNameMapping",
"standalone_resource": false,
"description": "Data source for costs associated with Microsoft Teams SKUs."
}
],
"custom_analyzed_models": [
{
"model_type": "data/MeetingRoomUnifiedRoom",
"friendly_name": "Meeting Room",
"description": "Shows Meeting Room Room details."
},
{
"model_type": "data/MeetingRoomUnifiedDevice",
"friendly_name": "Meeting Room Device",
"description": "Shows Meeting Room Device details."
},
{
"model_type": "data/MeetingRoomUtilization",
"friendly_name": "Meeting Room Utilization",
"description": "Hourly rollup of room utilization and qualitymetrics.",
"resource_date_field": "timestamp_epoch",
"epoch_fields": [
"timestamp_epoch",
"last_collected_epoch"
],
"date_fields": [
"timestamp_interval",
"last_collected_timestamp"
]
},
{
"model_type": "data/DataO365ActivitySnapshotHistory",
"friendly_name": "Microsoft O365 Activity Snapshot History",
"tablename": "data_o365_activity_snapshot_history",
"description": "Shows Microsoft O365 Activity Snapshot History details.",
"resource_date_field": "timestamp_epoch",
"epoch_fields": [
"timestamp_epoch"
],
"date_fields": [
"snapshot_at",
"report_refresh_date",
"last_activity_date",
"deleted_date"
]
},
{
"model_type": "data/DataO365ActivitySummary",
"friendly_name": "Microsoft O365 Activity Summary",
"tablename": "data_o365_activity_summary",
"description": "Shows Microsoft O365 Activity Summary details.",
"date_fields": [
"latest_report_refresh_date",
"last_activity_date",
"deleted_date",
"first_report_refresh_date_with_no_usage"
]
},
{
"model_type": "data/DataO365ActivityLicenseIssues",
"friendly_name": "Microsoft O365 Activity License Issues",
"tablename": "data_o365_activity_license_issues",
"description": "Shows Microsoft O365 Activity License Issues details.",
"epoch_fields": [
"timestamp_epoch",
"date_recorded"
],
"date_fields": [
"snapshot_at",
"resolved_at"
]
}
],
"netflow_models": [
{
"model_type": "data/NetflowDruidNetflow",
"friendly_name": "Netflow Druid Netflow",
"friendly_model_type": "data/NetflowDruidNetflow",
"tablename": "netflow",
"datasource_type": "netflow",
"datasource_subtype": "druid-datastore"
},
{
"model_type": "data/NetflowDruidSnmpIfxTable",
"friendly_name": "Netflow Druid Snmp Ifx Table",
"friendly_model_type": "data/NetflowDruidSnmpIfxTable",
"tablename": "snmpifxtable",
"datasource_type": "netflow",
"datasource_subtype": "druid-datastore"
},
{
"model_type": "data/NetflowSnmpIfTable",
"friendly_name": "Netflow Snmp If Table",
"friendly_model_type": "data/NetflowSnmpIfTable",
"tablename": "ifTable",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-snmp",
"epoch_fields": [
"epochstamp"
]
},
{
"model_type": "data/NetflowSnmpIfXTable",
"friendly_name": "Netflow Snmp If X Table",
"friendly_model_type": "data/NetflowSnmpIfXTable",
"tablename": "lxt_hpstack_snmpifxtable",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-snmp",
"epoch_fields": [
"epochstamp"
]
},
{
"model_type": "data/NetflowSnmpSysDescription",
"friendly_name": "Netflow Snmp Sys Description",
"friendly_model_type": "data/NetflowSnmpSysDescription",
"tablename": "sysdescr",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-snmp"
},
{
"model_type": "data/NetflowSummaryDetectedApplicationFlow",
"friendly_name": "Netflow Summary Detected Application Flow",
"friendly_model_type": "data/NetflowSummaryDetectedApplicationFlow",
"tablename": "netflow_detected_application_flow",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary",
"resource_date_field": "ts",
"epoch_fields": [
"ts"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = netflow_detected_application_flow.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = netflow_detected_application_flow.ingressint",
"table": "\"mv_interface_mapping_ingress\""
}
]
},
{
"model_type": "data/NetflowSummaryDetectedInternalFlow",
"friendly_name": "Netflow Summary Detected Internal Flow",
"friendly_model_type": "data/NetflowSummaryDetectedInternalFlow",
"tablename": "netflow_detected_internal_flow",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary",
"resource_date_field": "ts",
"epoch_fields": [
"ts"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = netflow_detected_internal_flow.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = netflow_detected_internal_flow.ingressint",
"table": "\"mv_interface_mapping_ingress\""
}
]
},
{
"model_type": "data/NetflowSummaryDetectedInternalIpAddress",
"friendly_name": "Netflow Summary Detected Internal IP Address",
"friendly_model_type": "data/NetflowSummaryDetectedInternalIpAddress",
"tablename": "netflow_detected_internal_ipaddress",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary",
"resource_date_field": "ts",
"epoch_fields": [
"ts"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = netflow_detected_internal_ipaddress.agentid",
"table": "\"mv_hostname_mapping\""
}
]
},
{
"model_type": "data/NetflowSummaryDetectedPortControl",
"friendly_name": "Netflow Summary Detected Port Control",
"friendly_model_type": "data/NetflowSummaryDetectedPortControl",
"tablename": "netflow_detected_port_control",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary",
"resource_date_field": "ts",
"epoch_fields": [
"ts"
]
},
{
"model_type": "data/NetflowSummaryFlow",
"friendly_name": "Netflow Summary Flow",
"friendly_model_type": "data/NetflowSummaryFlow",
"tablename": "flow",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary",
"resource_date_field": "timestamp",
"epoch_fields": [
"timestamp"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
},
{
"field_name": "egress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN netflow_known_applications on netflow_known_applications.application_id=flow.applicationid",
"table": "\"netflow_known_applications\""
},
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = flow.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = flow.ingressint",
"table": "\"mv_interface_mapping_ingress\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_egress\" ON \"mv_interface_mapping_egress\".\"interface\" = flow.egressint",
"table": "\"mv_interface_mapping_egress\""
}
]
},
{
"model_type": "data/NetflowSummaryFlow1Day",
"friendly_name": "Netflow Summary Flow 1 Day",
"friendly_model_type": "data/NetflowSummaryFlow1Day",
"tablename": "netflow_flow_1day",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary",
"resource_date_field": "ts",
"epoch_fields": [
"ts"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
},
{
"field_name": "egress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = netflow_flow_1day.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = netflow_flow_1day.ingressint",
"table": "\"mv_interface_mapping_ingress\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_egress\" ON \"mv_interface_mapping_egress\".\"interface\" = netflow_flow_1day.egressint",
"table": "\"mv_interface_mapping_egress\""
}
]
},
{
"model_type": "data/NetflowSummaryKnownApplication",
"friendly_name": "Netflow Summary Known Application",
"friendly_model_type": "data/NetflowSummaryKnownApplication",
"tablename": "netflow_known_applications",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary"
},
{
"model_type": "data/NetflowSummaryKnownInternalSubnets",
"friendly_name": "Netflow Summary Known Internal Subnets",
"friendly_model_type": "data/NetflowSummaryKnownInternalSubnets",
"tablename": "netflow_known_internal_subnets",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary",
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = netflow_known_internal_subnets.agentid",
"table": "\"mv_hostname_mapping\""
}
]
},
{
"model_type": "data/NetflowSummaryKnownProtocol",
"friendly_name": "Netflow Summary Known Protocol",
"friendly_model_type": "data/NetflowSummaryKnownProtocol",
"tablename": "netflow_known_protocols",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary"
},
{
"model_type": "data/NetflowSummaryLicense",
"friendly_name": "Netflow Summary License",
"friendly_model_type": "data/NetflowSummaryLicense",
"tablename": "capacity",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary",
"resource_date_field": "timestamp",
"epoch_fields": [
"timestamp"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = capacity.agentid",
"table": "\"mv_hostname_mapping\""
}
]
},
{
"model_type": "data/NetflowSummarySrcDestCountry",
"friendly_name": "Netflow Summary Src Dest Country",
"friendly_model_type": "data/NetflowSummarySrcDestCountry",
"tablename": "srcdestcountry",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-summary",
"resource_date_field": "timestamp",
"epoch_fields": [
"timestamp"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = srcdestcountry.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = srcdestcountry.ingressint",
"table": "\"mv_interface_mapping_ingress\""
}
]
},
{
"model_type": "data/NetflowTopnSummaryTopDestCountry",
"friendly_name": "Netflow Topn Summary Top Dest Country",
"friendly_model_type": "data/NetflowTopnSummaryTopDestCountry",
"tablename": "topdestcountry",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-topn",
"resource_date_field": "timestamp",
"epoch_fields": [
"timestamp"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = topdestcountry.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = topdestcountry.ingressint",
"table": "\"mv_interface_mapping_ingress\""
}
]
},
{
"model_type": "data/NetflowTopnSummaryTopDestPort",
"friendly_name": "Netflow Topn Summary Top Dest Port",
"friendly_model_type": "data/NetflowTopnSummaryTopDestPort",
"tablename": "topdestport",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-topn",
"resource_date_field": "timestamp",
"epoch_fields": [
"timestamp"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = topdestport.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = topdestport.ingressint",
"table": "\"mv_interface_mapping_ingress\""
}
]
},
{
"model_type": "data/NetflowTopnSummaryTopEgressInt",
"friendly_name": "Netflow Topn Summary Top Egress Int",
"friendly_model_type": "data/NetflowTopnSummaryTopEgressInt",
"tablename": "topegressint",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-topn",
"resource_date_field": "timestamp",
"epoch_fields": [
"timestamp"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "egress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = topegressint.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_egress\" ON \"mv_interface_mapping_egress\".\"interface\" = topegressint.egressint",
"table": "\"mv_interface_mapping_egress\""
}
]
},
{
"model_type": "data/NetflowTopnSummaryTopIngressInt",
"friendly_name": "Netflow Topn Summary Top Ingress Int",
"friendly_model_type": "data/NetflowTopnSummaryTopIngressInt",
"tablename": "topingressint",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-topn",
"resource_date_field": "timestamp",
"epoch_fields": [
"timestamp"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = topingressint.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = topingressint.ingressint",
"table": "\"mv_interface_mapping_ingress\""
}
]
},
{
"model_type": "data/NetflowTopnSummaryTopSrcCountry",
"friendly_name": "Netflow Topn Summary Top Src Country",
"friendly_model_type": "data/NetflowTopnSummaryTopSrcCountry",
"tablename": "topsrccountry",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-topn",
"resource_date_field": "timestamp",
"epoch_fields": [
"timestamp"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = topsrccountry.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = topsrccountry.ingressint",
"table": "\"mv_interface_mapping_ingress\""
}
]
},
{
"model_type": "data/NetflowTopnSummaryTopSrcDestIpAddress",
"friendly_name": "Netflow Topn Summary Top Src Dest IP Address",
"friendly_model_type": "data/NetflowTopnSummaryTopSrcDestIpAddress",
"tablename": "topsrcdestipaddr",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-topn",
"resource_date_field": "timestamp",
"epoch_fields": [
"timestamp"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = topsrcdestipaddr.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = topsrcdestipaddr.ingressint",
"table": "\"mv_interface_mapping_ingress\""
}
]
},
{
"model_type": "data/NetflowTopnSummaryTopSrcIpAddress",
"friendly_name": "Netflow Topn Summary Top Src IP Address",
"friendly_model_type": "data/NetflowTopnSummaryTopSrcIpAddress",
"tablename": "topsrcipaddr",
"datasource_type": "netflow",
"datasource_subtype": "postgres-ds9-topn",
"resource_date_field": "timestamp",
"epoch_fields": [
"timestamp"
],
"search_rule_alias_fields": [
{
"field_name": "agentid_hostname",
"select_str": "agentid_hostname"
},
{
"field_name": "ingress_friendly_interface_name",
"select_str": "friendly_interface_name"
}
],
"table_joins": [
{
"join": "LEFT JOIN \"mv_hostname_mapping\" ON \"mv_hostname_mapping\".agentid = topsrcipaddr.agentid",
"table": "\"mv_hostname_mapping\""
},
{
"join": "LEFT JOIN \"mv_interface_mapping\" AS \"mv_interface_mapping_ingress\" ON \"mv_interface_mapping_ingress\".\"interface\" = topsrcipaddr.ingressint",
"table": "\"mv_interface_mapping_ingress\""
}
]
}
],
"assurance_models": [
{
"model_type": "data/AssuranceMsTeamsCallrecordSessionParticipant",
"friendly_name": "Assurance MsTeams Callrecord Session Participant",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordSessionParticipant",
"tablename": "MS_TEAMS_CALLRECORD_SESSION_PARTICIPANT",
"datasource_type": "assurance",
"resource_date_field": "lxt_lastmodifieddatetime_epoch",
"epoch_fields": [
"lxt_timestamp_epoch",
"lxt_lastmodifieddatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_timestamp_epoch",
"voss_import_epoch"
],
"calculation_fields": [
{
"field_name": "detected_participant_displayname",
"value_type": "string",
"select_str": "CASE WHEN \"identity_user\" IS NOT NULL THEN \"identity_user\"::json->>'displayname' WHEN \"identity_guest\" IS NOT NULL THEN \"identity_guest\"::json->>'displayname' WHEN \"identity_phone\" IS NOT NULL THEN \"identity_phone\"::json->>'displayname' WHEN \"identity_device\" IS NOT NULL THEN \"identity_device\"::json->>'displayname' WHEN \"identity_application\" IS NOT NULL THEN \"identity_application\"::json->>'displayname' WHEN \"identity_acsuser\" IS NOT NULL THEN \"identity_acsuser\"::json->>'displayname' WHEN \"identity_spooluser\" IS NOT NULL THEN \"identity_spooluser\"::json->>'displayname' WHEN \"identity_encrypted\" IS NOT NULL THEN \"identity_encrypted\"::json->>'displayname' WHEN \"identity_onpremises\" IS NOT NULL THEN \"identity_onpremises\"::json->>'displayname' WHEN \"identity_acsapplicationinstance\" IS NOT NULL THEN \"identity_acsapplicationinstance\"::json->>'displayname' WHEN \"identity_spoolapplicationinstance\" IS NOT NULL THEN \"identity_spoolapplicationinstance\"::json->>'displayname' WHEN \"identity_applicationinstance\" IS NOT NULL THEN \"identity_applicationinstance\"::json->>'displayname' ELSE 'Unknown' END"
},
{
"field_name": "detected_participant_tenantid",
"value_type": "string",
"select_str": "CASE WHEN \"identity_user\" IS NOT NULL THEN \"identity_user\"::json->>'tenantid' WHEN \"identity_guest\" IS NOT NULL THEN \"identity_guest\"::json->>'tenantid' WHEN \"identity_phone\" IS NOT NULL THEN \"identity_phone\"::json->>'tenantid' WHEN \"identity_device\" IS NOT NULL THEN \"identity_device\"::json->>'tenantid' WHEN \"identity_application\" IS NOT NULL THEN \"identity_application\"::json->>'tenantid' WHEN \"identity_acsuser\" IS NOT NULL THEN \"identity_acsuser\"::json->>'tenantid' WHEN \"identity_spooluser\" IS NOT NULL THEN \"identity_spooluser\"::json->>'tenantid' WHEN \"identity_encrypted\" IS NOT NULL THEN \"identity_encrypted\"::json->>'tenantid' WHEN \"identity_onpremises\" IS NOT NULL THEN \"identity_onpremises\"::json->>'tenantid' WHEN \"identity_acsapplicationinstance\" IS NOT NULL THEN \"identity_acsapplicationinstance\"::json->>'tenantid' WHEN \"identity_spoolapplicationinstance\" IS NOT NULL THEN \"identity_spoolapplicationinstance\"::json->>'tenantid' WHEN \"identity_applicationinstance\" IS NOT NULL THEN \"identity_applicationinstance\"::json->>'tenantid' ELSE 'Unknown' END"
},
{
"field_name": "detected_participant_id",
"value_type": "string",
"select_str": "CASE WHEN \"identity_user\" IS NOT NULL THEN \"identity_user\"::json->>'id' WHEN \"identity_guest\" IS NOT NULL THEN \"identity_guest\"::json->>'id' WHEN \"identity_phone\" IS NOT NULL THEN \"identity_phone\"::json->>'id' WHEN \"identity_device\" IS NOT NULL THEN \"identity_device\"::json->>'id' WHEN \"identity_application\" IS NOT NULL THEN \"identity_application\"::json->>'id' WHEN \"identity_acsuser\" IS NOT NULL THEN \"identity_acsuser\"::json->>'id' WHEN \"identity_spooluser\" IS NOT NULL THEN \"identity_spooluser\"::json->>'id' WHEN \"identity_encrypted\" IS NOT NULL THEN \"identity_encrypted\"::json->>'id' WHEN \"identity_onpremises\" IS NOT NULL THEN \"identity_onpremises\"::json->>'id' WHEN \"identity_acsapplicationinstance\" IS NOT NULL THEN \"identity_acsapplicationinstance\"::json->>'id' WHEN \"identity_spoolapplicationinstance\" IS NOT NULL THEN \"identity_spoolapplicationinstance\"::json->>'id' WHEN \"identity_applicationinstance\" IS NOT NULL THEN \"identity_applicationinstance\"::json->>'id' ELSE 'Unknown' END"
}
],
"json_object_fields": [
{
"field_name": "feedback.text",
"json_column": "feedback",
"json_property": "text"
},
{
"field_name": "feedback.rating",
"json_column": "feedback",
"json_property": "rating"
},
{
"field_name": "feedback.tokens",
"json_column": "feedback",
"json_property": "tokens"
},
{
"field_name": "identity_applicationinstance.id",
"json_column": "identity_applicationinstance",
"json_property": "id"
},
{
"field_name": "identity_applicationinstance.tenantid",
"json_column": "identity_applicationinstance",
"json_property": "tenantid"
},
{
"field_name": "identity_applicationinstance.displayname",
"json_column": "identity_applicationinstance",
"json_property": "displayname"
},
{
"field_name": "identity_spoolapplicationinstance.id",
"json_column": "identity_spoolapplicationinstance",
"json_property": "id"
},
{
"field_name": "identity_spoolapplicationinstance.tenantid",
"json_column": "identity_spoolapplicationinstance",
"json_property": "tenantid"
},
{
"field_name": "identity_spoolapplicationinstance.displayname",
"json_column": "identity_spoolapplicationinstance",
"json_property": "displayname"
},
{
"field_name": "identity_acsapplicationinstance.id",
"json_column": "identity_acsapplicationinstance",
"json_property": "id"
},
{
"field_name": "identity_acsapplicationinstance.tenantid",
"json_column": "identity_acsapplicationinstance",
"json_property": "tenantid"
},
{
"field_name": "identity_acsapplicationinstance.displayname",
"json_column": "identity_acsapplicationinstance",
"json_property": "displayname"
},
{
"field_name": "identity_onpremises.id",
"json_column": "identity_onpremises",
"json_property": "id"
},
{
"field_name": "identity_onpremises.tenantid",
"json_column": "identity_onpremises",
"json_property": "tenantid"
},
{
"field_name": "identity_onpremises.displayname",
"json_column": "identity_onpremises",
"json_property": "displayname"
},
{
"field_name": "identity_acsuser.id",
"json_column": "identity_acsuser",
"json_property": "id"
},
{
"field_name": "identity_acsuser.tenantid",
"json_column": "identity_acsuser",
"json_property": "tenantid"
},
{
"field_name": "identity_acsuser.displayname",
"json_column": "identity_acsuser",
"json_property": "displayname"
},
{
"field_name": "identity_spooluser.id",
"json_column": "identity_spooluser",
"json_property": "id"
},
{
"field_name": "identity_spooluser.tenantid",
"json_column": "identity_spooluser",
"json_property": "tenantid"
},
{
"field_name": "identity_spooluser.displayname",
"json_column": "identity_spooluser",
"json_property": "displayname"
},
{
"field_name": "identity_phone.id",
"json_column": "identity_phone",
"json_property": "id"
},
{
"field_name": "identity_phone.tenantid",
"json_column": "identity_phone",
"json_property": "tenantid"
},
{
"field_name": "identity_phone.displayname",
"json_column": "identity_phone",
"json_property": "displayname"
},
{
"field_name": "identity_guest.id",
"json_column": "identity_guest",
"json_property": "id"
},
{
"field_name": "identity_guest.tenantid",
"json_column": "identity_guest",
"json_property": "tenantid"
},
{
"field_name": "identity_guest.displayname",
"json_column": "identity_guest",
"json_property": "displayname"
},
{
"field_name": "identity_encrypted.id",
"json_column": "identity_encrypted",
"json_property": "id"
},
{
"field_name": "identity_encrypted.tenantid",
"json_column": "identity_encrypted",
"json_property": "tenantid"
},
{
"field_name": "identity_encrypted.displayname",
"json_column": "identity_encrypted",
"json_property": "displayname"
},
{
"field_name": "identity_application.id",
"json_column": "identity_application",
"json_property": "id"
},
{
"field_name": "identity_application.tenantid",
"json_column": "identity_application",
"json_property": "tenantid"
},
{
"field_name": "identity_application.displayname",
"json_column": "identity_application",
"json_property": "displayname"
},
{
"field_name": "identity_device.id",
"json_column": "identity_device",
"json_property": "id"
},
{
"field_name": "identity_device.tenantid",
"json_column": "identity_device",
"json_property": "tenantid"
},
{
"field_name": "identity_device.displayname",
"json_column": "identity_device",
"json_property": "displayname"
},
{
"field_name": "identity_user.id",
"json_column": "identity_user",
"json_property": "id"
},
{
"field_name": "identity_user.tenantid",
"json_column": "identity_user",
"json_property": "tenantid"
},
{
"field_name": "identity_user.displayname",
"json_column": "identity_user",
"json_property": "displayname"
}
],
"search_rule_alias_fields": [
{
"field_name": "identity_applicationinstance_json",
"select_str": "identity_applicationinstance"
},
{
"field_name": "identity_spoolapplicationinstance_json",
"select_str": "identity_spoolapplicationinstance"
},
{
"field_name": "identity_acsapplicationinstance_json",
"select_str": "identity_acsapplicationinstance"
},
{
"field_name": "identity_onpremises_json",
"select_str": "identity_onpremises"
},
{
"field_name": "identity_acsuser_json",
"select_str": "identity_acsuser"
},
{
"field_name": "identity_spooluser_json",
"select_str": "identity_spooluser"
},
{
"field_name": "identity_phone_json",
"select_str": "identity_phone"
},
{
"field_name": "identity_guest_json",
"select_str": "identity_guest"
},
{
"field_name": "identity_encrypted_json",
"select_str": "identity_encrypted"
},
{
"field_name": "identity_application_json",
"select_str": "identity_application"
},
{
"field_name": "identity_device_json",
"select_str": "identity_device"
},
{
"field_name": "identity_user_json",
"select_str": "identity_user"
},
{
"field_name": "odata_type",
"select_str": "@odata.type"
},
{
"field_name": "useragent_odata.type",
"select_str": "useragent_@odata.type"
}
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordSegmentfailureMedianetworkJoin",
"friendly_name": "Assurance MsTeams Callrecord Segmentfailure Medianetwork Join",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordSegmentfailureMedianetworkJoin",
"tablename": "MS_TEAMS_CALLRECORD_SEGMENT_FAILURE",
"datasource_type": "assurance",
"resource_date_field": "lxt_lastmodifieddatetime_epoch",
"epoch_fields": [
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_timestamp_epoch"
],
"table_joins": [
{
"join": "left join \"MS_TEAMS_CALLRECORD_MEDIA_NETWORK\" ON \"MS_TEAMS_CALLRECORD_MEDIA_NETWORK\".\"segmentid\" = \"MS_TEAMS_CALLRECORD_SEGMENT_FAILURE\".\"segmentid\"",
"table": "\"MS_TEAMS_CALLRECORD_MEDIA_NETWORK\""
}
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordSessionStreamIncidents",
"friendly_name": "Assurance MsTeams Callrecord Session Stream Incidents",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordSessionStreamIncidents",
"tablename": "MS_TEAMS_CALLRECORD_SESSION_STREAM_INCIDENTS",
"datasource_type": "assurance",
"resource_date_field": "lxt_timestamp_epoch",
"epoch_fields": [
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_segmentstartdatetime_epoch",
"lxt_segmentenddatetime_epoch",
"lxt_timestamp_epoch"
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordSessionAggregated",
"friendly_name": "Assurance MsTeams Callrecord Session Aggregated",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordSessionAggregated",
"tablename": "MS_TEAMS_CALLRECORD_SESSION",
"datasource_type": "assurance",
"resource_date_field": "lxt_timestamp_epoch",
"epoch_fields": [
"lxt_timestamp_epoch",
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_timestamp_epoch"
],
"table_joins": [
{
"join": "left join \"MS_TEAMS_CALLRECORD_SESSION_FAILURE\" ON \"MS_TEAMS_CALLRECORD_SESSION_FAILURE\".\"tenantname\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"tenantname\" AND \"MS_TEAMS_CALLRECORD_SESSION_FAILURE\".\"callid\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"callid\" AND \"MS_TEAMS_CALLRECORD_SESSION_FAILURE\".\"sessionid\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"sessionid\"",
"table": "\"MS_TEAMS_CALLRECORD_SESSION_FAILURE\"",
"date_field": "lxt_timestamp_epoch"
},
{
"join": "left join \"MS_TEAMS_CALLRECORD_SESSION_MODALITY_AGGREGATED\" ON \"MS_TEAMS_CALLRECORD_SESSION_MODALITY_AGGREGATED\".\"tenantname\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"tenantname\" AND \"MS_TEAMS_CALLRECORD_SESSION_MODALITY_AGGREGATED\".\"callid\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"callid\" AND \"MS_TEAMS_CALLRECORD_SESSION_MODALITY_AGGREGATED\".\"sessionid\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"sessionid\"",
"table": "\"MS_TEAMS_CALLRECORD_SESSION_MODALITY_AGGREGATED\"",
"date_field": "lxt_timestamp_epoch"
},
{
"join": "left join \"MS_TEAMS_CALLRECORD_SESSION_QUALITY_SUMMARY\" ON \"MS_TEAMS_CALLRECORD_SESSION_QUALITY_SUMMARY\".\"tenantname\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"tenantname\" AND \"MS_TEAMS_CALLRECORD_SESSION_QUALITY_SUMMARY\".\"callid\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"callid\" AND \"MS_TEAMS_CALLRECORD_SESSION_QUALITY_SUMMARY\".\"sessionid\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"sessionid\"",
"table": "\"MS_TEAMS_CALLRECORD_SESSION_QUALITY_SUMMARY\"",
"date_field": "lxt_startdatetime_epoch"
},
{
"join": "left join \"MS_TEAMS_CALLRECORD_SESSION_PARTICIPANT\" participant_caller ON \"participant_caller\".\"tenantname\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"tenantname\" AND \"participant_caller\".\"callid\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"callid\" AND \"participant_caller\".\"sessionid\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"sessionid\" AND \"participant_caller\".\"uatype\"='caller'",
"table": "\"participant_caller\"",
"date_field": "lxt_timestamp_epoch"
},
{
"join": "left join \"MS_TEAMS_CALLRECORD_SESSION_PARTICIPANT\" participant_callee ON \"participant_callee\".\"tenantname\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"tenantname\" AND \"participant_callee\".\"callid\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"callid\" AND \"participant_callee\".\"sessionid\" = \"MS_TEAMS_CALLRECORD_SESSION\".\"sessionid\" AND \"participant_callee\".\"uatype\"='callee'",
"table": "\"participant_callee\"",
"date_field": "lxt_timestamp_epoch"
}
],
"calculation_fields": [
{
"field_name": "detected_participant_caller_displayname",
"value_type": "string",
"select_str": "CASE WHEN participant_caller.\"identity_user\" IS NOT NULL THEN participant_caller.\"identity_user\"::json->>'displayname' WHEN participant_caller.\"identity_guest\" IS NOT NULL THEN participant_caller.\"identity_guest\"::json->>'displayname' WHEN participant_caller.\"identity_phone\" IS NOT NULL THEN participant_caller.\"identity_phone\"::json->>'displayname' WHEN participant_caller.\"identity_device\" IS NOT NULL THEN participant_caller.\"identity_device\"::json->>'displayname' WHEN participant_caller.\"identity_application\" IS NOT NULL THEN participant_caller.\"identity_application\"::json->>'displayname' WHEN participant_caller.\"identity_acsuser\" IS NOT NULL THEN participant_caller.\"identity_acsuser\"::json->>'displayname' WHEN participant_caller.\"identity_spooluser\" IS NOT NULL THEN participant_caller.\"identity_spooluser\"::json->>'displayname' WHEN participant_caller.\"identity_encrypted\" IS NOT NULL THEN participant_caller.\"identity_encrypted\"::json->>'displayname' WHEN participant_caller.\"identity_onpremises\" IS NOT NULL THEN participant_caller.\"identity_onpremises\"::json->>'displayname' WHEN participant_caller.\"identity_acsapplicationinstance\" IS NOT NULL THEN participant_caller.\"identity_acsapplicationinstance\"::json->>'displayname' WHEN participant_caller.\"identity_spoolapplicationinstance\" IS NOT NULL THEN participant_caller.\"identity_spoolapplicationinstance\"::json->>'displayname' WHEN participant_caller.\"identity_applicationinstance\" IS NOT NULL THEN participant_caller.\"identity_applicationinstance\"::json->>'displayname' ELSE 'Unknown' END"
},
{
"field_name": "detected_participant_caller_type",
"value_type": "string",
"select_str": "SUBSTRING(participant_caller.\"@odata.type\" FROM POSITION('callRecords.' IN participant_caller.\"@odata.type\") + LENGTH('callRecords.'))"
},
{
"field_name": "detected_participant_callee_displayname",
"value_type": "string",
"select_str": "CASE WHEN participant_callee.\"identity_user\" IS NOT NULL THEN participant_callee.\"identity_user\"::json->>'displayname' WHEN participant_callee.\"identity_guest\" IS NOT NULL THEN participant_callee.\"identity_guest\"::json->>'displayname' WHEN participant_callee.\"identity_phone\" IS NOT NULL THEN participant_callee.\"identity_phone\"::json->>'displayname' WHEN participant_callee.\"identity_device\" IS NOT NULL THEN participant_callee.\"identity_device\"::json->>'displayname' WHEN participant_callee.\"identity_application\" IS NOT NULL THEN participant_callee.\"identity_application\"::json->>'displayname' WHEN participant_callee.\"identity_acsuser\" IS NOT NULL THEN participant_callee.\"identity_acsuser\"::json->>'displayname' WHEN participant_callee.\"identity_spooluser\" IS NOT NULL THEN participant_callee.\"identity_spooluser\"::json->>'displayname' WHEN participant_callee.\"identity_encrypted\" IS NOT NULL THEN participant_callee.\"identity_encrypted\"::json->>'displayname' WHEN participant_callee.\"identity_onpremises\" IS NOT NULL THEN participant_callee.\"identity_onpremises\"::json->>'displayname' WHEN participant_callee.\"identity_acsapplicationinstance\" IS NOT NULL THEN participant_callee.\"identity_acsapplicationinstance\"::json->>'displayname' WHEN participant_callee.\"identity_spoolapplicationinstance\" IS NOT NULL THEN participant_callee.\"identity_spoolapplicationinstance\"::json->>'displayname' WHEN participant_callee.\"identity_applicationinstance\" IS NOT NULL THEN participant_callee.\"identity_applicationinstance\"::json->>'displayname' ELSE 'Unknown' END"
},
{
"field_name": "detected_participant_callee_type",
"value_type": "string",
"select_str": "SUBSTRING(participant_callee.\"@odata.type\" FROM POSITION('callRecords.' IN participant_callee.\"@odata.type\") + LENGTH('callRecords.'))"
},
{
"field_name": "duration",
"value_type": "integer",
"operations": "Value",
"is_aggregated": true,
"select_str": "SUM(\"MS_TEAMS_CALLRECORD_SESSION\".lxt_enddatetime_epoch-\"MS_TEAMS_CALLRECORD_SESSION\".lxt_startdatetime_epoch)"
},
{
"field_name": "duration (interval)",
"value_type": "string",
"select_str": "interval '1 second' * (\"MS_TEAMS_CALLRECORD_SESSION\".lxt_enddatetime_epoch-\"MS_TEAMS_CALLRECORD_SESSION\".lxt_startdatetime_epoch)"
}
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordMediaNetwork",
"friendly_name": "Assurance MsTeams Callrecord Media Network",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordMediaNetwork",
"tablename": "MS_TEAMS_CALLRECORD_MEDIA_NETWORK",
"datasource_type": "assurance",
"resource_date_field": "lxt_timestamp_epoch",
"epoch_fields": [
"lxt_lastmodifieddatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_timestamp_epoch"
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordMediaDevice",
"friendly_name": "Assurance MsTeams Callrecord Media Device",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordMediaDevice",
"tablename": "MS_TEAMS_CALLRECORD_MEDIA_DEVICE",
"datasource_type": "assurance",
"resource_date_field": "lxt_timestamp_epoch",
"epoch_fields": [
"lxt_lastmodifieddatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_timestamp_epoch"
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordMediaStream",
"friendly_name": "Assurance MsTeams Callrecord Media Stream",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordMediaStream",
"tablename": "MS_TEAMS_CALLRECORD_MEDIA_STREAM",
"datasource_type": "assurance",
"resource_date_field": "lxt_timestamp_epoch",
"epoch_fields": [
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_segmentenddatetime_epoch",
"lxt_segmentstartdatetime_epoch",
"lxt_timestamp_epoch",
"voss_import_epoch"
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordMediaStreamWUserJoin",
"friendly_name": "Assurance MsTeams Callrecord Media Stream W User Join",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordMediaStreamWUserJoin",
"tablename": "MS_TEAMS_CALLRECORD_MEDIA_STREAM",
"datasource_type": "assurance",
"resource_date_field": "lxt_lastmodifieddatetime_epoch",
"epoch_fields": [
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch"
],
"table_joins": [
{
"join": "left join \"MS_TEAMS_CALLRECORD_SEGMENT_PARTICIPANT\" ON \"MS_TEAMS_CALLRECORD_SEGMENT_PARTICIPANT\".\"callid\" = \"MS_TEAMS_CALLRECORD_MEDIA_STREAM\".\"callid\" and \"MS_TEAMS_CALLRECORD_SEGMENT_PARTICIPANT\".\"segmentid\" = \"MS_TEAMS_CALLRECORD_MEDIA_STREAM\".\"segmentid\"",
"table": "\"MS_TEAMS_CALLRECORD_SEGMENT_PARTICIPANT\"",
"date_field": "lxt_timestamp_epoch"
}
],
"json_object_fields": [
{
"field_name": "identity_user.displayname",
"json_column": "identity_user",
"json_property": "displayname"
},
{
"field_name": "identity_user.id",
"json_column": "identity_user",
"json_property": "id"
},
{
"field_name": "identity_user.tenantId",
"json_column": "identity_user",
"json_property": "tenantId"
}
]
},
{
"model_type": "data/AssuranceMsTeamsHealthoverviews",
"friendly_name": "Assurance MsTeams Healthoverviews",
"friendly_model_type": "data/AssuranceMsTeamsHealthoverviews",
"tablename": "MSTEAMS_HEALTHOVERVIEWS",
"datasource_type": "assurance",
"resource_date_field": "lxt_timestamp_epoch",
"epoch_fields": [
"lxt_timestamp_epoch"
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordReliability",
"friendly_name": "Assurance MsTeams Callrecord Reliability",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordReliability",
"tablename": "MS_TEAMS_CALLRECORD_RELIABILITY",
"datasource_type": "assurance",
"resource_date_field": "lxt_lastmodifieddatetime_epoch",
"epoch_fields": [
"lxt_timestamp_epoch",
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch",
"voss_import_epoch"
],
"calculation_fields": [
{
"field_name": "duration (interval)",
"value_type": "string",
"select_str": "(interval '1 second' * duration)"
}
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordModality",
"friendly_name": "Assurance MsTeams Callrecord Modality",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordModality",
"tablename": "MS_TEAMS_CALLRECORD_MODALITY",
"datasource_type": "assurance",
"resource_date_field": "lxt_timestamp_epoch",
"epoch_fields": [
"lxt_lastmodifieddatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_timestamp_epoch"
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordSegmentParticipantStream",
"friendly_name": "Assurance MsTeams Callrecord Segment Participant Stream",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordSegmentParticipantStream",
"tablename": "MS_TEAMS_CALLRECORD_SEGMENT_PARTICIPANT_STREAM",
"datasource_type": "assurance",
"resource_date_field": "lxt_timestamp_epoch",
"epoch_fields": [
"lxt_timestamp_epoch",
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_timestamp_epoch"
]
},
{
"model_type": "data/AssuranceMsTeamsGetteamsuseractivitycountsDay",
"friendly_name": "Assurance MsTeams Getteamsuseractivitycounts Day",
"friendly_model_type": "data/AssuranceMsTeamsGetteamsuseractivitycountsDay",
"tablename": "MS_TEAMS_GETTEAMSUSERACTIVITYCOUNTS_DAY",
"datasource_type": "assurance",
"resource_date_field": "reportdate",
"epoch_fields": [
"lxt_timestamp_epoch",
"reportrefreshdate",
"reportdate",
"lxt_timestamp_epoch"
],
"calculation_fields": [
{
"field_name": "total_audioduration_interval",
"value_type": "string",
"operations": "Value",
"is_aggregated": true,
"is_ratio": true,
"select_str": "sum(audioduration_interval)"
},
{
"field_name": "total_videoduration_interval",
"value_type": "string",
"operations": "Value",
"is_aggregated": true,
"is_ratio": true,
"select_str": "sum(videoduration_interval)"
},
{
"field_name": "total_screenshareduration_interval",
"value_type": "string",
"operations": "Value",
"is_aggregated": true,
"is_ratio": true,
"select_str": "sum(screenshareduration_interval)"
}
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordReliabilityModality",
"friendly_name": "Assurance MsTeams Callrecord Reliability Modality",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordReliabilityModality",
"tablename": "MS_TEAMS_CALLRECORD_RELIABILITY_MODALITY",
"datasource_type": "assurance",
"resource_date_field": "lxt_startdatetime_epoch",
"epoch_fields": [
"lxt_timestamp_epoch",
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch"
],
"table_joins": [
{
"join": "left join \"MS_TEAMS_CALLRECORD_PARTICIPANT_DETECT\" ON \"MS_TEAMS_CALLRECORD_RELIABILITY_MODALITY\".\"tenantname\" = \"MS_TEAMS_CALLRECORD_PARTICIPANT_DETECT\".\"tenantname\" AND \"MS_TEAMS_CALLRECORD_RELIABILITY_MODALITY\".\"callid\" = \"MS_TEAMS_CALLRECORD_PARTICIPANT_DETECT\".\"callid\" AND \"MS_TEAMS_CALLRECORD_RELIABILITY_MODALITY\".\"type\" = 'peerToPeer' AND \"MS_TEAMS_CALLRECORD_RELIABILITY_MODALITY\".\"organizer_displayname\" != \"MS_TEAMS_CALLRECORD_PARTICIPANT_DETECT\".\"participant_displayname\"",
"table": "\"MS_TEAMS_CALLRECORD_PARTICIPANT_DETECT\"",
"date_field": "lxt_timestamp_epoch"
}
],
"calculation_fields": [
{
"field_name": "duration (interval)",
"value_type": "string",
"operations": "Grouping Count,Count,Select Query",
"select_str": "(interval '1 second' * duration)"
}
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordOrganizer",
"friendly_name": "Assurance MsTeams Callrecord Organizer",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordOrganizer",
"tablename": "MS_TEAMS_CALLRECORD_ORGANIZER",
"datasource_type": "assurance",
"resource_date_field": "lxt_lastmodifieddatetime_epoch",
"epoch_fields": [
"lxt_timestamp_epoch",
"lxt_lastmodifieddatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_timestamp_epoch",
"voss_import_epoch"
],
"calculation_fields": [
{
"field_name": "detected_organizer_displayname",
"value_type": "string",
"operations": "Grouping Count,Select Query,Count",
"select_str": "CASE WHEN \"user\" IS NOT NULL THEN \"user\"::json->>'displayname' WHEN \"guest\" IS NOT NULL THEN \"guest\"::json->>'displayname' WHEN \"phone\" IS NOT NULL THEN \"phone\"::json->>'displayname' WHEN \"device\" IS NOT NULL THEN \"device\"::json->>'displayname' WHEN \"application\" IS NOT NULL THEN \"application\"::json->>'displayname' WHEN \"acsuser\" IS NOT NULL THEN \"acsuser\"::json->>'displayname' WHEN \"spooluser\" IS NOT NULL THEN \"spooluser\"::json->>'displayname' WHEN \"encrypted\" IS NOT NULL THEN \"encrypted\"::json->>'displayname' WHEN \"onpremises\" IS NOT NULL THEN \"onpremises\"::json->>'displayname' WHEN \"acsapplicationinstance\" IS NOT NULL THEN \"acsapplicationinstance\"::json->>'displayname' WHEN \"spoolapplicationinstance\" IS NOT NULL THEN \"spoolapplicationinstance\"::json->>'displayname' WHEN \"applicationinstance\" IS NOT NULL THEN \"applicationinstance\"::json->>'displayname' ELSE 'Unknown' END"
},
{
"field_name": "detected_organizer_tenantid",
"value_type": "string",
"operations": "Grouping Count,Select Query,Count",
"select_str": "CASE WHEN \"user\" IS NOT NULL THEN \"user\"::json->>'tenantid' WHEN \"guest\" IS NOT NULL THEN \"guest\"::json->>'tenantid' WHEN \"phone\" IS NOT NULL THEN \"phone\"::json->>'tenantid' WHEN \"device\" IS NOT NULL THEN \"device\"::json->>'tenantid' WHEN \"application\" IS NOT NULL THEN \"application\"::json->>'tenantid' WHEN \"acsuser\" IS NOT NULL THEN \"acsuser\"::json->>'tenantid' WHEN \"spooluser\" IS NOT NULL THEN \"spooluser\"::json->>'tenantid' WHEN \"encrypted\" IS NOT NULL THEN \"encrypted\"::json->>'tenantid' WHEN \"onpremises\" IS NOT NULL THEN \"onpremises\"::json->>'tenantid' WHEN \"acsapplicationinstance\" IS NOT NULL THEN \"acsapplicationinstance\"::json->>'tenantid' WHEN \"spoolapplicationinstance\" IS NOT NULL THEN \"spoolapplicationinstance\"::json->>'tenantid' WHEN \"applicationinstance\" IS NOT NULL THEN \"applicationinstance\"::json->>'tenantid' ELSE 'Unknown' END"
},
{
"field_name": "detected_organizer_id",
"value_type": "string",
"operations": "Grouping Count,Select Query,Count",
"select_str": "CASE WHEN \"user\" IS NOT NULL THEN \"user\"::json->>'id' WHEN \"guest\" IS NOT NULL THEN \"guest\"::json->>'id' WHEN \"phone\" IS NOT NULL THEN \"phone\"::json->>'id' WHEN \"device\" IS NOT NULL THEN \"device\"::json->>'id' WHEN \"application\" IS NOT NULL THEN \"application\"::json->>'id' WHEN \"acsuser\" IS NOT NULL THEN \"acsuser\"::json->>'id' WHEN \"spooluser\" IS NOT NULL THEN \"spooluser\"::json->>'id' WHEN \"encrypted\" IS NOT NULL THEN \"encrypted\"::json->>'id' WHEN \"onpremises\" IS NOT NULL THEN \"onpremises\"::json->>'id' WHEN \"acsapplicationinstance\" IS NOT NULL THEN \"acsapplicationinstance\"::json->>'id' WHEN \"spoolapplicationinstance\" IS NOT NULL THEN \"spoolapplicationinstance\"::json->>'id' WHEN \"applicationinstance\" IS NOT NULL THEN \"applicationinstance\"::json->>'id' ELSE 'Unknown' END"
}
],
"json_object_fields": [
{
"field_name": "applicationinstance.id",
"json_column": "applicationinstance",
"json_property": "id"
},
{
"field_name": "applicationinstance.tenantid",
"json_column": "applicationinstance",
"json_property": "tenantid"
},
{
"field_name": "applicationinstance.displayname",
"json_column": "applicationinstance",
"json_property": "displayname"
},
{
"field_name": "spoolapplicationinstance.id",
"json_column": "spoolapplicationinstance",
"json_property": "id"
},
{
"field_name": "spoolapplicationinstance.tenantid",
"json_column": "spoolapplicationinstance",
"json_property": "tenantid"
},
{
"field_name": "spoolapplicationinstance.displayname",
"json_column": "spoolapplicationinstance",
"json_property": "displayname"
},
{
"field_name": "acsapplicationinstance.id",
"json_column": "acsapplicationinstance",
"json_property": "id"
},
{
"field_name": "acsapplicationinstance.tenantid",
"json_column": "acsapplicationinstance",
"json_property": "tenantid"
},
{
"field_name": "acsapplicationinstance.displayname",
"json_column": "acsapplicationinstance",
"json_property": "displayname"
},
{
"field_name": "onpremises.id",
"json_column": "onpremises",
"json_property": "id"
},
{
"field_name": "onpremises.tenantid",
"json_column": "onpremises",
"json_property": "tenantid"
},
{
"field_name": "onpremises.displayname",
"json_column": "onpremises",
"json_property": "displayname"
},
{
"field_name": "acsuser.id",
"json_column": "acsuser",
"json_property": "id"
},
{
"field_name": "acsuser.tenantid",
"json_column": "acsuser",
"json_property": "tenantid"
},
{
"field_name": "acsuser.displayname",
"json_column": "acsuser",
"json_property": "displayname"
},
{
"field_name": "spooluser.id",
"json_column": "spooluser",
"json_property": "id"
},
{
"field_name": "spooluser.tenantid",
"json_column": "spooluser",
"json_property": "tenantid"
},
{
"field_name": "spooluser.displayname",
"json_column": "spooluser",
"json_property": "displayname"
},
{
"field_name": "phone.id",
"json_column": "phone",
"json_property": "id"
},
{
"field_name": "phone.tenantid",
"json_column": "phone",
"json_property": "tenantid"
},
{
"field_name": "phone.displayname",
"json_column": "phone",
"json_property": "displayname"
},
{
"field_name": "guest.id",
"json_column": "guest",
"json_property": "id"
},
{
"field_name": "guest.tenantid",
"json_column": "guest",
"json_property": "tenantid"
},
{
"field_name": "guest.displayname",
"json_column": "guest",
"json_property": "displayname"
},
{
"field_name": "encrypted.id",
"json_column": "encrypted",
"json_property": "id"
},
{
"field_name": "encrypted.tenantid",
"json_column": "encrypted",
"json_property": "tenantid"
},
{
"field_name": "encrypted.displayname",
"json_column": "encrypted",
"json_property": "displayname"
},
{
"field_name": "application.id",
"json_column": "application",
"json_property": "id"
},
{
"field_name": "application.tenantid",
"json_column": "application",
"json_property": "tenantid"
},
{
"field_name": "application.displayname",
"json_column": "application",
"json_property": "displayname"
},
{
"field_name": "device.id",
"json_column": "device",
"json_property": "id"
},
{
"field_name": "device.tenantid",
"json_column": "device",
"json_property": "tenantid"
},
{
"field_name": "device.displayname",
"json_column": "device",
"json_property": "displayname"
},
{
"field_name": "user.id",
"json_column": "user",
"json_property": "id"
},
{
"field_name": "user.tenantid",
"json_column": "user",
"json_property": "tenantid"
},
{
"field_name": "user.displayname",
"json_column": "user",
"json_property": "displayname"
}
],
"search_rule_alias_fields": [
{
"field_name": "applicationinstance_json",
"select_str": "applicationinstance"
},
{
"field_name": "spoolapplicationinstance_json",
"select_str": "spoolapplicationinstance"
},
{
"field_name": "acsapplicationinstance_json",
"select_str": "acsapplicationinstance"
},
{
"field_name": "onpremises_json",
"select_str": "onpremises"
},
{
"field_name": "acsuser_json",
"select_str": "acsuser"
},
{
"field_name": "spooluser_json",
"select_str": "spooluser"
},
{
"field_name": "phone_json",
"select_str": "phone"
},
{
"field_name": "guest_json",
"select_str": "guest"
},
{
"field_name": "encrypted_json",
"select_str": "encrypted"
},
{
"field_name": "application_json",
"select_str": "application"
},
{
"field_name": "device_json",
"select_str": "device"
},
{
"field_name": "user_json",
"select_str": "user"
}
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordParticipant",
"friendly_name": "Assurance MsTeams Callrecord Participant",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordParticipant",
"tablename": "MS_TEAMS_CALLRECORD_PARTICIPANT",
"datasource_type": "assurance",
"resource_date_field": "lxt_lastmodifieddatetime_epoch",
"epoch_fields": [
"lxt_timestamp_epoch",
"lxt_lastmodifieddatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_timestamp_epoch",
"voss_import_epoch"
],
"calculation_fields": [
{
"field_name": "detected_participant_displayname",
"value_type": "string",
"operations": "Grouping Count,Select Query,Count",
"select_str": "CASE WHEN \"user\" IS NOT NULL THEN \"user\"::json->>'displayname' WHEN \"guest\" IS NOT NULL THEN \"guest\"::json->>'displayname' WHEN \"phone\" IS NOT NULL THEN \"phone\"::json->>'displayname' WHEN \"device\" IS NOT NULL THEN \"device\"::json->>'displayname' WHEN \"application\" IS NOT NULL THEN \"application\"::json->>'displayname' WHEN \"acsuser\" IS NOT NULL THEN \"acsuser\"::json->>'displayname' WHEN \"spooluser\" IS NOT NULL THEN \"spooluser\"::json->>'displayname' WHEN \"encrypted\" IS NOT NULL THEN \"encrypted\"::json->>'displayname' WHEN \"onpremises\" IS NOT NULL THEN \"onpremises\"::json->>'displayname' WHEN \"acsapplicationinstance\" IS NOT NULL THEN \"acsapplicationinstance\"::json->>'displayname' WHEN \"spoolapplicationinstance\" IS NOT NULL THEN \"spoolapplicationinstance\"::json->>'displayname' WHEN \"applicationinstance\" IS NOT NULL THEN \"applicationinstance\"::json->>'displayname' ELSE 'Unknown' END"
},
{
"field_name": "detected_participant_tenantid",
"value_type": "string",
"operations": "Grouping Count,Select Query,Count",
"select_str": "CASE WHEN \"user\" IS NOT NULL THEN \"user\"::json->>'tenantid' WHEN \"guest\" IS NOT NULL THEN \"guest\"::json->>'tenantid' WHEN \"phone\" IS NOT NULL THEN \"phone\"::json->>'tenantid' WHEN \"device\" IS NOT NULL THEN \"device\"::json->>'tenantid' WHEN \"application\" IS NOT NULL THEN \"application\"::json->>'tenantid' WHEN \"acsuser\" IS NOT NULL THEN \"acsuser\"::json->>'tenantid' WHEN \"spooluser\" IS NOT NULL THEN \"spooluser\"::json->>'tenantid' WHEN \"encrypted\" IS NOT NULL THEN \"encrypted\"::json->>'tenantid' WHEN \"onpremises\" IS NOT NULL THEN \"onpremises\"::json->>'tenantid' WHEN \"acsapplicationinstance\" IS NOT NULL THEN \"acsapplicationinstance\"::json->>'tenantid' WHEN \"spoolapplicationinstance\" IS NOT NULL THEN \"spoolapplicationinstance\"::json->>'tenantid' WHEN \"applicationinstance\" IS NOT NULL THEN \"applicationinstance\"::json->>'tenantid' ELSE 'Unknown' END"
},
{
"field_name": "detected_participant_id",
"value_type": "string",
"operations": "Grouping Count,Select Query,Count",
"select_str": "CASE WHEN \"user\" IS NOT NULL THEN \"user\"::json->>'id' WHEN \"guest\" IS NOT NULL THEN \"guest\"::json->>'id' WHEN \"phone\" IS NOT NULL THEN \"phone\"::json->>'id' WHEN \"device\" IS NOT NULL THEN \"device\"::json->>'id' WHEN \"application\" IS NOT NULL THEN \"application\"::json->>'id' WHEN \"acsuser\" IS NOT NULL THEN \"acsuser\"::json->>'id' WHEN \"spooluser\" IS NOT NULL THEN \"spooluser\"::json->>'id' WHEN \"encrypted\" IS NOT NULL THEN \"encrypted\"::json->>'id' WHEN \"onpremises\" IS NOT NULL THEN \"onpremises\"::json->>'id' WHEN \"acsapplicationinstance\" IS NOT NULL THEN \"acsapplicationinstance\"::json->>'id' WHEN \"spoolapplicationinstance\" IS NOT NULL THEN \"spoolapplicationinstance\"::json->>'id' WHEN \"applicationinstance\" IS NOT NULL THEN \"applicationinstance\"::json->>'id' ELSE 'Unknown' END"
}
],
"json_object_fields": [
{
"field_name": "applicationinstance.id",
"json_column": "applicationinstance",
"json_property": "id"
},
{
"field_name": "applicationinstance.tenantid",
"json_column": "applicationinstance",
"json_property": "tenantid"
},
{
"field_name": "applicationinstance.displayname",
"json_column": "applicationinstance",
"json_property": "displayname"
},
{
"field_name": "spoolapplicationinstance.id",
"json_column": "spoolapplicationinstance",
"json_property": "id"
},
{
"field_name": "spoolapplicationinstance.tenantid",
"json_column": "spoolapplicationinstance",
"json_property": "tenantid"
},
{
"field_name": "spoolapplicationinstance.displayname",
"json_column": "spoolapplicationinstance",
"json_property": "displayname"
},
{
"field_name": "acsapplicationinstance.id",
"json_column": "acsapplicationinstance",
"json_property": "id"
},
{
"field_name": "acsapplicationinstance.tenantid",
"json_column": "acsapplicationinstance",
"json_property": "tenantid"
},
{
"field_name": "acsapplicationinstance.displayname",
"json_column": "acsapplicationinstance",
"json_property": "displayname"
},
{
"field_name": "onpremises.id",
"json_column": "onpremises",
"json_property": "id"
},
{
"field_name": "onpremises.tenantid",
"json_column": "onpremises",
"json_property": "tenantid"
},
{
"field_name": "onpremises.displayname",
"json_column": "onpremises",
"json_property": "displayname"
},
{
"field_name": "acsuser.id",
"json_column": "acsuser",
"json_property": "id"
},
{
"field_name": "acsuser.tenantid",
"json_column": "acsuser",
"json_property": "tenantid"
},
{
"field_name": "acsuser.displayname",
"json_column": "acsuser",
"json_property": "displayname"
},
{
"field_name": "spooluser.id",
"json_column": "spooluser",
"json_property": "id"
},
{
"field_name": "spooluser.tenantid",
"json_column": "spooluser",
"json_property": "tenantid"
},
{
"field_name": "spooluser.displayname",
"json_column": "spooluser",
"json_property": "displayname"
},
{
"field_name": "phone.id",
"json_column": "phone",
"json_property": "id"
},
{
"field_name": "phone.tenantid",
"json_column": "phone",
"json_property": "tenantid"
},
{
"field_name": "phone.displayname",
"json_column": "phone",
"json_property": "displayname"
},
{
"field_name": "guest.id",
"json_column": "guest",
"json_property": "id"
},
{
"field_name": "guest.tenantid",
"json_column": "guest",
"json_property": "tenantid"
},
{
"field_name": "guest.displayname",
"json_column": "guest",
"json_property": "displayname"
},
{
"field_name": "encrypted.id",
"json_column": "encrypted",
"json_property": "id"
},
{
"field_name": "encrypted.tenantid",
"json_column": "encrypted",
"json_property": "tenantid"
},
{
"field_name": "encrypted.displayname",
"json_column": "encrypted",
"json_property": "displayname"
},
{
"field_name": "application.id",
"json_column": "application",
"json_property": "id"
},
{
"field_name": "application.tenantid",
"json_column": "application",
"json_property": "tenantid"
},
{
"field_name": "application.displayname",
"json_column": "application",
"json_property": "displayname"
},
{
"field_name": "device.id",
"json_column": "device",
"json_property": "id"
},
{
"field_name": "device.tenantid",
"json_column": "device",
"json_property": "tenantid"
},
{
"field_name": "device.displayname",
"json_column": "device",
"json_property": "displayname"
},
{
"field_name": "user.id",
"json_column": "user",
"json_property": "id"
},
{
"field_name": "user.tenantid",
"json_column": "user",
"json_property": "tenantid"
},
{
"field_name": "user.displayname",
"json_column": "user",
"json_property": "displayname"
}
],
"search_rule_alias_fields": [
{
"field_name": "applicationinstance_json",
"select_str": "applicationinstance"
},
{
"field_name": "spoolapplicationinstance_json",
"select_str": "spoolapplicationinstance"
},
{
"field_name": "acsapplicationinstance_json",
"select_str": "acsapplicationinstance"
},
{
"field_name": "onpremises_json",
"select_str": "onpremises"
},
{
"field_name": "acsuser_json",
"select_str": "acsuser"
},
{
"field_name": "spooluser_json",
"select_str": "spooluser"
},
{
"field_name": "phone_json",
"select_str": "phone"
},
{
"field_name": "guest_json",
"select_str": "guest"
},
{
"field_name": "encrypted_json",
"select_str": "encrypted"
},
{
"field_name": "application_json",
"select_str": "application"
},
{
"field_name": "device_json",
"select_str": "device"
},
{
"field_name": "user_json",
"select_str": "user"
}
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordReliabilityModalityParticipant",
"friendly_name": "Assurance MsTeams Callrecord Reliability Modality Participant",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordReliabilityModalityParticipant",
"tablename": "MS_TEAMS_CALLRECORD_RELIABILITY_MODALITY",
"datasource_type": "assurance",
"resource_date_field": "lxt_startdatetime_epoch",
"epoch_fields": [
"lxt_timestamp_epoch",
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch"
],
"table_joins": [
{
"join": "left join \"MS_TEAMS_CALLRECORD_PARTICIPANT_DETECT\" ON \"MS_TEAMS_CALLRECORD_RELIABILITY_MODALITY\".\"tenantname\" = \"MS_TEAMS_CALLRECORD_PARTICIPANT_DETECT\".\"tenantname\" AND \"MS_TEAMS_CALLRECORD_RELIABILITY_MODALITY\".\"callid\" = \"MS_TEAMS_CALLRECORD_PARTICIPANT_DETECT\".\"callid\"",
"table": "\"MS_TEAMS_CALLRECORD_PARTICIPANT_DETECT\"",
"date_field": "lxt_timestamp_epoch"
}
],
"calculation_fields": [
{
"field_name": "duration (interval)",
"value_type": "string",
"operations": "Grouping Count,Count,Select Query",
"select_str": "(interval '1 second' * duration)"
},
{
"field_name": "duration total (interval)",
"value_type": "string",
"operations": "Grouping Count,Count,Select Query",
"is_aggregated": true,
"select_str": "interval '1 second' * sum(duration)"
}
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordSegment",
"friendly_name": "Assurance MsTeams Callrecord Segment",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordSegment",
"tablename": "MS_TEAMS_CALLRECORD_SEGMENT",
"datasource_type": "assurance",
"resource_date_field": "lxt_timestamp_epoch",
"epoch_fields": [
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch",
"lxt_timestamp_epoch",
"voss_import_epoch"
]
},
{
"model_type": "data/AssuranceMsTeamsCallrecordSegmentAggregated",
"friendly_name": "Assurance MsTeams Callrecord Segment Aggregated",
"friendly_model_type": "data/AssuranceMsTeamsCallrecordSegmentAggregated",
"tablename": "MS_TEAMS_CALLRECORD_SEGMENT_QUALITY_SUMMARY",
"datasource_type": "assurance",
"resource_date_field": "lxt_startdatetime_epoch",
"epoch_fields": [
"lxt_timestamp_epoch",
"lxt_lastmodifieddatetime_epoch",
"lxt_startdatetime_epoch",
"lxt_enddatetime_epoch"
],
"table_joins": [
{
"join": "left join \"MS_TEAMS_CALLRECORD_SEGMENT_FAILURE\" ON \"MS_TEAMS_CALLRECORD_SEGMENT_FAILURE\".\"tenantname\" = \"MS_TEAMS_CALLRECORD_SEGMENT_QUALITY_SUMMARY\".\"tenantname\" AND \"MS_TEAMS_CALLRECORD_SEGMENT_FAILURE\".\"callid\" = \"MS_TEAMS_CALLRECORD_SEGMENT_QUALITY_SUMMARY\".\"callid\" AND \"MS_TEAMS_CALLRECORD_SEGMENT_FAILURE\".\"sessionid\" = \"MS_TEAMS_CALLRECORD_SEGMENT_QUALITY_SUMMARY\".\"sessionid\" AND \"MS_TEAMS_CALLRECORD_SEGMENT_FAILURE\".\"segmentid\" = \"MS_TEAMS_CALLRECORD_SEGMENT_QUALITY_SUMMARY\".\"segmentid\" AND \"MS_TEAMS_CALLRECORD_SEGMENT_FAILURE\".\"lxt_segmentvid\" = \"MS_TEAMS_CALLRECORD_SEGMENT_QUALITY_SUMMARY\".\"lxt_segmentvid\"",
"table": "\"MS_TEAMS_CALLRECORD_SEGMENT_FAILURE\"",
"date_field": "lxt_timestamp_epoch"
},
{
[...]
